# Generated by rust2rpm 13
%bcond_without check

%global crate cbindgen

Name:           rust-%{crate}
Version:        0.13.2
Release:        1%{?dist}
Summary:        Tool for generating C bindings to Rust code

# Upstream license specification: MPL-2.0
License:        MPLv2.0
URL:            https://crates.io/crates/cbindgen
Source:         %{crates_source}

ExclusiveArch:  %{rust_arches}
%if %{__cargo_skip_build}
BuildArch:      noarch
%endif

BuildRequires:  rust-packaging

%global _description %{expand:
Tool for generating C bindings to Rust code.}

%description %{_description}

%if ! %{__cargo_skip_build}
%package     -n %{crate}
Summary:        %{summary}
# Install all deps (without check), grab their licenses and make it simple
# * ASL 2.0 or Boost
# * MIT
# * MIT or ASL 2.0
License:        MIT and (ASL 2.0 or Boost)

%description -n %{crate} %{_description}

%files       -n %{crate}
%license LICENSE
%doc docs.md README.md
%{_bindir}/cbindgen
%endif

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages
which use "%{crate}" crate.

%files          devel
%license LICENSE
%doc contributing.md docs.md internals.md README.md
%{cargo_registry}/%{crate}-%{version_no_tilde}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages
which use "default" feature of "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+clap-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+clap-devel %{_description}

This package contains library source intended for building other packages
which use "clap" feature of "%{crate}" crate.

%files       -n %{name}+clap-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires
%if %{with check}
echo '/usr/bin/g++'
echo '/usr/bin/gcc'
%endif

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Sun Mar 29 10:15:09 CEST 2020 Igor Raits <ignatenkobrain@fedoraproject.org> - 0.13.2-1
- Update to 0.13.2

* Thu Feb 27 2020 Josh Stone <jistone@redhat.com> - 0.13.1-1
- Update to 0.13.1

* Thu Jan 30 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.12.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Thu Jan 16 2020 Josh Stone <jistone@redhat.com> - 0.12.2-1
- Update to 0.12.2

* Tue Dec 17 2019 Josh Stone <jistone@redhat.com> - 0.12.0-1
- Update to 0.12.0

* Sun Dec 15 13:00:19 CET 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.11.1-1
- Update to 0.11.1

* Fri Dec 06 10:45:49 CET 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.11.0-1
- Update to 0.11.0

* Fri Nov 15 2019 Josh Stone <jistone@redhat.com> - 0.9.1-1
- Update to 0.9.1

* Fri Jul 26 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.8.7-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Tue May 14 07:50:25 CEST 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.8.7-1
- Update to 0.8.7

* Tue May 07 14:58:53 CEST 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.8.6-1
- Update to 0.8.6

* Thu May 02 2019 Josh Stone <jistone@redhat.com> - 0.8.4-1
- Update to 0.8.4

* Tue Apr 02 2019 Josh Stone <jistone@redhat.com> - 0.8.3-1
- Update to 0.8.3

* Thu Mar 07 2019 Josh Stone <jistone@redhat.com> - 0.8.2-1
- Update to 0.8.2

* Thu Feb 21 2019 Josh Stone <jistone@redhat.com> - 0.8.0-1
- Update to 0.8.0

* Sat Feb 02 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Sat Jan 26 2019 Josh Stone <jistone@redhat.com> - 0.7.1-1
- Update to 0.7.1

* Thu Jan 24 2019 Josh Stone <jistone@redhat.com> - 0.7.0-1
- Update to 0.7.0

* Mon Jan 07 2019 Josh Stone <jistone@redhat.com> - 0.6.8-1
- Update to 0.6.8

* Fri Nov 02 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.6.7-1
- Update to 0.6.7

* Mon Oct 22 2018 Josh Stone <jistone@redhat.com> - 0.6.6-1
- Update to 0.6.6

* Thu Oct 04 2018 Josh Stone <jistone@redhat.com> - 0.6.4-1
- Update to 0.6.4

* Sat Sep 15 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.6.3-2
- Add cbindgen back

* Wed Sep 05 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.6.3-1
- Update to 0.6.3

* Sat Jul 28 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.6.1-3
- Drop cbindgen executable

* Sat Jul 28 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.6.1-2
- Rebuild to trigger tests

* Thu Jul 26 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.6.1-1
- Update to 0.6.1

* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Feb 01 2018 Josh Stone <jistone@redhat.com> - 0.4.3-1
- Update to 0.4.3

* Tue Jan 30 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.4.2-1
- Update to 0.4.2

* Mon Jan 08 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.4.0-2
- Rebuild for rust-packaging v5

* Fri Jan 05 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.4.0-1
- Update to 0.4.0

* Mon Jan 01 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.3.3-1
- Initial package
